Loading...

Passbook

The PASSBOOK model is a part of the Document Processing feature of Identity Scanner that enables you to process Indian bank passbooks as financial or identity proof documents.

Note:

  • Catalyst does not store any of the files you upload in its systems. The documents you upload are used for one-time processing only. They are not used for ML model training purposes either. Catalyst components are fully compliant with all applicable data protection and privacy laws.

  • Document Processing is only relevant to Indian users and is only available in the IN DC. This feature will not be available to users accessing from the EU, AU, US, JP, SA or CA data centers. Users outside of India from the other DCs can access the general OCR component to read and process textual content.

Process Passbook

Description

This API extracts fields of data from a passbook using the OCR technology and returns the parameters recognized from the passbook as a JSON response. You must provide the path to the image file of the front page of the bank passbook, and specify the model type as PASSBOOK in the API request.

You can also optionally input the languages present in the passbook in the API request. The text recognition and extraction process is faster and more accurate if you specify the languages.

Request Details

Request URL

POST

{api-domain}/baas/v1/project/{project_id}/ml/ocr

copy

api-domain
URL
The DC-specific domain to access Catalyst API

project_id
Numerical
The unique ID of the project

Request Headers

Authorization: Zoho-oauthtoken {oauth_token}
content-type: multipart/form-data; boundary=—-WebKitFormBoundary7MA4YWxkTrZu0gW

Optional Headers

CATALYST-ORG: {org_id}

Environment: Development

Scope

ZohoCatalyst.mlkit.READ

Request JSON Properties

image file
mandatory

The image of the front page of the passbook. You must provide the path to it in your local system.

Allowed formats: .webp, .jpeg, .png, .bmp, .tiff, .pdf
File size limit: 15 MB

model_type string
mandatory

The model type of the image

Value to be passed: PASSBOOK

language string
optional

The language code of the languages to be identified. You can pass multiple languages. The PASSBOOK model supports the Indian and international languages specified in the tables below.

Default value: eng

International Languages Supported by the Passbook Model Type

Language Language Codes
English eng
Arabic ara
Chinese chi_sim
French fra
Italian ita
Japanese jpn
Portuguese por
Romanian ron
Spanish spa

Indian Languages Supported by the Passbook Model Type

Language Language Codes
Hindi hin
Bengali ben
Marathi mar
Telugu tel
Tamil tam
Gujarati guj
Urdu urd
Kannada kan
Malayalam mal
Sanskrit san

Response Details

The response contains the bank details and account details recognized from the passbook such as the bank name, branch, address, account number. The extracted fields of information are assigned to their respective keys. The response also shows if RTGS, NEFT, and IMPS have been enabled for that account by returning true or false for those keys.

Note: Identity Scanner will return the response only in English, irrespective of the languages present in the passbook.
Sample Request
copy

curl -X POST
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/ml/ocr
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
-H “Content-Type: multipart/form-data; boundary=—-WebKitFormBoundary7MA4YWxkTrZu0gW”
-F image=/Desktop/MyPassbook.pdf
-F model_type=PASSBOOK
-F “language=eng”

Sample Response
copy
	{
	"status":"success",
	"data":{
	"text": "{\"address\":\"NO.20 ,SUNSHINE LANE,ANNA NAGAR,CHENNAI\",\"city\":\"CHENNAI\",\"centre\":\"CHENNAI\",\"bankName\":\"ABC BANK LIMITED\",\"accountNumber\":\"000000001111222\",\"branch\":\"ANNA NAGAR\",\"dateOfOpening\":\"30/08/2012\",\"imps\":\"true\",\"neft\":\"true\",\"district\":\"CHENNAI\",\"contact\":\"2891289\",\"micr\":\"0101010\",\"name\":\" 999919\",\"state\":\"TAMIL NADU\",\"rtgs\":\"true\",\"ifsc\":\"ABCB0000111\"}"
	}	
	}